# SPDX-License-Identifier: GPL-2.0
#
# Copyright (c) 2016, NVIDIA CORPORATION.
#

# Modified by Telechips Inc. (date: 2020-05)

obj-$(CONFIG_$(SPL_)DM_MAILBOX) += mailbox-uclass.o
obj-$(CONFIG_SANDBOX_MBOX) += sandbox-mbox.o
obj-$(CONFIG_SANDBOX_MBOX) += sandbox-mbox-test.o
obj-$(CONFIG_STM32_IPCC) += stm32-ipcc.o
obj-$(CONFIG_TEGRA_HSP) += tegra-hsp.o
obj-$(CONFIG_K3_SEC_PROXY) += k3-sec-proxy.o
obj-$(CONFIG_ZYNQMP_IPI) += zynqmp-ipi.o
obj-$(CONFIG_TCC_MBOX) += tcc-mbox.o
ifeq ($(CONFIG_TCC803X),y)
obj-$(CONFIG_TCC_MULTI_MAILBOX) += tcc803x_multi_mbox.o
else
obj-$(CONFIG_TCC_MULTI_MAILBOX) += tcc805x_multi_mbox.o
endif
